Обновление лака от версии 3 до 5 - параметры expiry_sleep и queue_max

91
7

В нашей компании мы хотим обновить версию Varnish версии 3.0 до версии 5.2. Некоторые параметры в DAEMON_OPTS (/etc/init.d/varnish) были переименованы, но я не могу найти, что произошло с параметрами: expiry_sleep и queue_max

Пожалуйста, как я могу заменить эти параметры? Большое спасибо! :)

DAEMON_OPTS="-a ${ADDRESS} \
-p connect_timeout=2\
-p sess_timeout=10\
-p syslog_cli_traffic=off\
-p expiry_sleep=0.01\
-p queue_max=300"

спросил(а) 2021-01-18T19:13:01+03:00 9 месяцев назад
1
Решение
65

Это должно быть так:

DAEMON_OPTS = "-a $ {ADDRESS}\

        -p connect_timeout=2\
-p sess_timeout=10\
-p syslog_cli_traffic=off\
-p timeout_linger=0.01\
-p thread_queue_limit=300"

Пожалуйста, изучите параметры резьбы, поскольку они изменились на протяжении многих лет. varnishadm param.show -l | Меньше

ответил(а) 2021-01-18T19:13:01+03:00 9 месяцев назад
Ваш ответ
Введите минимум 50 символов
Чтобы , пожалуйста,
Выберите тему жалобы:

Другая проблема